//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//             Skybox                //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

//Base slterra sky (ydnar)
textures/delisi/sky
{
	qer_editorimage textures/delisi/sky_masked.tga

		
	q3map_lightsubdivide 768
	q3map_backsplash 0 0

	q3map_sunEXT 1 1 1 375 130 80 3 16 
				//was 75 intensity changed to 85 5/2/06
				//q3map_sunEXT 1 0.92 0.97 90 180 50 2 16
				//q3map_skylight 125 3
	q3map_skylight 200 6
				// SKYLIGHT WAS 150 PRE 19FEB	
	q3map_noFog
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_lightmapFilterRadius 0 8
	
	skyparms textures/delisi/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/delisi/sky_cloud.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/delisi/sky_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956	// note for RTCW, this line should be commented out if the sky is knackered
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//             Liquid                //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

textures/delisi/delisi_water
{
	qer_editorimage textures/delisi/delisi_water.tga
//	tessSize 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm lightfilter
	surfaceparm alphashadow
	surfaceparm water
	cull disable
	
	{	
		map textures/delisi/delisi_water.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0.1 0.1 0.1 .1
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
		rgbGen identity
	}

}

textures/delisi/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/delisi/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/delisi/fs_rain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
        surfaceparm trans	
        surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/wetwired/fs_rain2.tga
//              tcMod Scroll .5 4
		tcMod Scroll -.5 -4
                blendFunc GL_ONE GL_ONE
        }
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//             Models                //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	q3map_bounce .1	

	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//             Foliage               //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

textures/delisi/delisi_vinez_p1
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
      surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/delisi/delisi_vinez_p1.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/delisi/delisi_vinez_p2
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
      surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/delisi/delisi_vinez_p2.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/delisi/delisi_leaf1
{	
   	surfaceparm alphashadow
	surfaceparm detail
      surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
    	cull none
	nopicmip
	{
		map textures/delisi/delisi_leaf1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/delisi/delisi_leaf2
{	
    	surfaceparm alphashadow
	surfaceparm detail
      surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
    	cull none
	nopicmip
	{
		map textures/delisi/delisi_leaf2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/delisi/delisi_flowers
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
      surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/delisi/delisi_flowers.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/delisi/delisi_flowers_2
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
      surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/delisi/delisi_flowers_2.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/delisi/delisi_flowers_3
{
	cull none
	q3map_vertexScale 1.5
	surfaceparm alphashadow
	surfaceparm detail
      surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/delisi/delisi_flowers_3.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//             Decals                //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

textures/delisi/alpha_30
{
    qer_trans 0.2
    q3map_alphaMod volume
    q3map_alphaMod set 0.3
    surfaceparm nodraw
    surfaceparm nonsolid
    surfaceparm trans
}

textures/delisi/cafe_blend
{
    qer_editorImage textures/delisi/delisi_cafe.tga
    polygonOffset
    {
        map textures/delisi/delisi_cafe.tga
        blendFunc blend
        rgbGen vertex
        alphaGen const 1
    }
    {
        map textures/delisi/delisi_cafe.tga
        alphagen vertex
        blendfunc blend
    }
}

textures/delisi/delisi_deli
{
	qer_editorimage textures/delisi/delisi_deli.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		map textures/delisi/delisi_deli.tga
		blendfunc blend
		rgbgen vertex
		alphagen const 1
	}

}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//             Terrain               //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

textures/delisi/ter_stone_dirt
{
	qer_editorimage textures/delisi/ter_rock2.tga
	q3map_shadeangle 90
	q3map_nonplanar
	q3map_lightmapsampleoffset 16
	{
		map textures/delisi/ter_dirt1.tga
		//map $whiteimage
		//rgbgen const ( 0 0 1)
	}
	{
		map textures/delisi/ter_rock2.tga
		alphagen vertex
		alphafunc gt0
		blendfunc blend
		//map $whiteimage
		//rgbgen const ( 1 0 0 )
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
//             Brushes               //
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//

textures/delisi/delisi_railing
{
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow	
	cull none
        nopicmip
	{
		map textures/delisi/delisi_railing.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/delisi/delisi_metal
{   
         {
		map textures/delisi/delisi_metal.tga
		rgbGen identity
	} 
        {
		map textures/effects/tinfx3.tga
                blendFunc GL_ONE GL_ONE
                tcGen environment
        }
        {
		map $lightmap
                blendFunc filter
		rgbGen identity
	}
}

textures/delisi/sn_window8int_light
{
	qer_editorimage textures/delisi/sn_window8int_st.tga
	q3map_surfacelight 2000 // 6800
	{
		map textures/delisi/sn_window8int_st.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/delisi/sn_window8int_blend.tga
		blendfunc add
		rgbgen identity
	}
}

textures/delisi/austria_window
{
	qer_editorimage textures/delisi/austria_window.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment 
	}
	{
		map textures/delisi/austria_window.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}

textures/delisi/delisi_window
{
	qer_editorimage textures/delisi/delisi_window.tga
	q3map_surfacelight 2000 // 6800
	{
		map textures/delisi/delisi_window.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
	{
		map textures/delisi/delisi_window_blend.tga
		blendfunc add
		rgbgen identity
	}
}

textures/delisi/delisi_window_fx
{
	qer_editorimage textures/delisi/delisi_window_fx.tga

	{
		map textures/effects/tinfx.tga
		tcGen environment 
	}
	{
		map textures/delisi/delisi_window_fx.tga
		blendfunc blend
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		tcGen lightmap 
	}
}
